import request from '@/utils/request'

// 查询定位日志列表
export function listLocationLog(query) {
  return request({
    url: '/bst/locationLog/list',
    method: 'get',
    params: query
  })
}

// 查询全部，不分页
export function listAllLocation(query) {
  return request({
    url: '/bst/locationLog/listAll',
    method: 'get',
    params: query
  })
}

// 查询定位日志详细
export function getLocationLog(id) {
  return request({
    url: '/bst/locationLog/' + id,
    method: 'get'
  })
}

// 新增定位日志
export function addLocationLog(data) {
  return request({
    url: '/bst/locationLog',
    method: 'post',
    data: data
  })
}

// 修改定位日志
export function updateLocationLog(data) {
  return request({
    url: '/bst/locationLog',
    method: 'put',
    data: data
  })
}

// 删除定位日志
export function delLocationLog(id) {
  return request({
    url: '/bst/locationLog/' + id,
    method: 'delete'
  })
}
